## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesNamedNodeListCache Class Reference

`#include <XercesNamedNodeListCache.hpp>`

Inheritance diagram for XercesNamedNodeListCache

Collaboration diagram for XercesNamedNodeListCache:

List of all members.

## Public Types

- typedef std::map<XalanDOMString,
  XercesNodeListBridge*> NodeListCacheType

## Public Methods

- XercesNamedNodeListCache (const XercesBridgeNavigator& theNavigator)
- virtual ~XercesNamedNodeListCache ()
- virtual XercesNodeListBridge* getElementsByTagName (const XalanDOMString& tagname) const
- virtual XercesNodeListBridge* getElementsByTagNameNS ( const XalanDOMString& namespaceURI, const XalanDOMString& localName) const

## Protected Methods

- virtual DOM_NodeListType getXercesNodeList (const XalanDOMString& tagname) const = 0
- virtual DOM_NodeListType getXercesNodeList ( const XalanDOMString& namespaceURI, const XalanDOMString& localName) const = 0

## Member Typedef Documentation

typedef std::map<XalanDOMString, XercesNodeListBridge*> XercesNamedNodeListCache::NodeListCacheType

## Constructor & Destructor Documentation

XercesNamedNodeListCache::XercesNamedNodeListCache ( | const XercesBridgeNavigator & theNavigator )

virtual XercesNamedNodeListCache::~XercesNamedNodeListCache ( | )`[virtual]`

## Member Function Documentation

virtual XercesNodeListBridge* XercesNamedNodeListCache::getElementsByTagName ( | const XalanDOMString & tagname ) const`[virtual]`

virtual XercesNodeListBridge* XercesNamedNodeListCache::getElementsByTagNameNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[virtual]`

virtual DOM_NodeListType XercesNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[protected, pure virtual]`

Reimplemented in XercesDocumentNamedNodeListCache, and XercesElementNamedNodeListCache.

virtual DOM_NodeListType XercesNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & tagname ) const`[protected, pure virtual]`

Reimplemented in XercesDocumentNamedNodeListCache, and XercesElementNamedNodeListCache.

The documentation for this class was generated from the following file:

- XercesNamedNodeListCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.